#videodiv {
    position: absolute;
    top: 15.5%;
    left: -5%;
}

body {
    background-color: #000000;
    font-family: "DM sans", serif;
    margin: 0;
    padding: 0;
    height: 100vh;
    overflow: hidden;
    user-select: none;
}

#headerlogo{
    font-size: 2.5vw;
    position: absolute;
    top: 3%;
    left: 2%;
    color: white;
    font-weight: 600;
}

#disclaimer{
    position: absolute;
    top: 45%;
    left: 10%;
    font-size: 1.2vw;
    color: white;
}

#disclaimercontainerdiv{
    height: 10%;
    width: 82%;
    background: #1B1212;
    position: absolute;
    top: 90.85%;
    left: 18%;
    border-top: 0.05vw solid white;
}

#disclaimertext{
    font-size: 0.52vw;
    font-weight: 300;
    font-optical-sizing: auto;
    font-style: normal;
    user-select: none;
    color: white;
    position: absolute;
    top: 12%;
    left: 0.5%;
}

#leftcolumn{
    position: absolute;
    top: 0;
    left: 0;
    background-color: transparent;
    height: 100%;
    width: 18%;
}

#contactheader{
    position: absolute;
    top: 2%;
    left: 10%;
    color: white;
    opacity: 0.75;
    font-size: 1.1vw;
}

#leftcolumn_portion_4{
    position: absolute;
    top: 91%;
    left: 0;
    height: 8%;
    width: 100%;
    background: transparent;
    border-right: 0.05vw solid white;
    border-top: 0.05vw solid white;
}

#privacypolicy{
    position: absolute;
    top: 20%;
    left: 10%;
    font-size: 0.75vw;
    font-family: monospace;
    color: white;
    opacity: 0.75;
}

#termsofservice{
    position: absolute;
    top: 20%;
    left: 53%;
    font-size: 0.75vw;
    font-family: monospace;
    color: white;
    opacity: 0.75;
}

#copyright{
    color: white;
    font-size: 0.65vw;
    position: absolute;
    font-family: monospace;
    top: 55%;
    left: 10%;
}

#time{
    font-size: 1.1vw;
    color: #e5e5e5;
    position: absolute;
    font-weight: 0;
    top: 20%;
    right: 0;
}

#month_date_year{
    font-size: 1.1vw;
    color: #e5e5e5;
    position: absolute;
    font-weight: 0;
    right: 0;
}

#timecontainer{
    position: absolute;
    top: 2%;
    left: 79%;
    height: 20%;
    width: 20%;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button{
    -webkit-appearance: none;
    margin: 0;
}

#stockgraph{
    position: absolute;
    color: white;
    font-family: monospace;
    font-size: 0.8vw;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    pointer-events: none;
}

#blurdiv {
    position: absolute;
    height: 100%;
    width: 100%;
    background-color: transparent;
    -webkit-backdrop-filter: blur(15px);
    backdrop-filter: blur(15px);
}

#comingsoontextpart1{
    color: white;
    font-size: 2.5vw;
    font-family: "Outfit", sans-serif;
    font-weight: 600;
    position: absolute;
    top: 20%;
    left: 50%;
    width: 35%;
}

#comingsoontextpart2{
    color: white;
    font-size: 1.05vw;
    font-family: monospace;
    position: absolute;
    top: 28%;
    left: 50%;
    width: 35%;
}

#comingsoontextpart3{
    color: white;
    font-size: 0.95vw;
    position: absolute;
    font-family: "Outfit", sans-serif;
    border-top: 0.05vw solid white;
    border-bottom: 0.05vw solid white;
    border-left: 0.05vw solid white;
    padding: 1.5vw;
    top: 41%;
    left: 50%;
    width: 30%;
}

#comingsoontextpart4{
    color: white;
    font-size: 1.55vw;
    font-family: "Outfit", sans-serif;
    font-weight: 400;
    position: absolute;
    top: 58%;
    left: 50%;
    width: 35%;
}

#emailinput{
    position: absolute;
    top: 40%;
    left: 38%;
    width: 80%;
}

input {
    color: white;
    font-size: 1.1rem;
    font-weight: 500;
}

input:focus {
    outline: 2px solid white;
}

input::placeholder {
    color: rgba(255, 255, 255, 0.6);
}

/* Button on top of the Input */
.wrapper {
    width: 400px;
    max-width: 100%;
    position: absolute;
    top: 64%;
    left: 40%;
}

.wrapper input {
    background: rgba(255, 255, 255, 0.1);
    border: 2px solid white;
    border-radius: 50px;
    padding: 1rem 2rem;
    width: 100%;
}

#submitButton {
  width: fit-content;
  min-width: 100px;
  height: 40px;
  padding: 8px;
  border-radius: 25px;
  border: none;
  box-shadow: 0px 0px 20px -20px;
  cursor: pointer;
  background-color: white;
  transition: all 0.1s ease-in-out 0ms;
  user-select: none;
  font-family: 'Outfit', sans-serif;
  font-size: 16px;
  position: absolute;
  top: 50%;
  left: 121%;
}

#submitButton:hover {
  background-color: #F2F2F2;
  box-shadow: 0px 0px 20px -18px;
}

#submitButton:active {
  transform: scale(0.95);
}

#impacttag {
  font-size: 1.2em;
  font-family: 'Outfit', sans-serif;
  padding: 0.6em 0.8em;
  border-radius: 1.7em;
  border: none;
  background-color: #000;
  color: #fff;
  cursor: pointer;
  box-shadow: 2px 2px 3px #000000b4;
}

#container {
  position: absolute;
  top: 62.5%;
  left: 19.35%;
  height: 7.05%;
  width: 16.45%;
  padding: 3px;
  background: linear-gradient(90deg, #03a9f4, #f441a5);
  border-radius: 2em;
  transition: all 0.4s ease;
  z-index: 1;
}

#container::before {
  content: "";
  position: absolute;
  inset: 0;
  margin: auto;
  border-radius: 2em;
  z-index: -10;
  filter: blur(0);
  transition: filter 0.4s ease;
}

#container:hover::before {
  background: linear-gradient(90deg, #03a9f4, #f441a5);
  filter: blur(1.2em);
}
#container:active::before {
  filter: blur(0.2em);
}